//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: Team color Material proxy.
//
//=============================================================================//

#include "ProxyEntity.h"

class CTeamColorMaterialProxy : public CEntityMaterialProxy
{
public:
	CTeamColorMaterialProxy();
	virtual ~CTeamColorMaterialProxy();
	virtual bool Init( IMaterial *pMaterial, KeyValues *pKeyValues );
	virtual void OnBind(C_BaseEntity *pC_BaseEntity );
	virtual IMaterial *GetMaterial();

private:
	IMaterial *m_pMaterial;

	C_BaseEntity *m_pEnt;
};